跳到主要内容

候选策略绩效报告

GET/research/experiments/{id}/strategies/{code}/performance-report在线调试
GET https://api.shengkezhi.com/open/v1/research/experiments/a79dfc93b7e64a6cbbe26f2a787a6bad/strategies/FTS_1D_0UCFSYXF/performance-report
等效 curl
curl "https://api.shengkezhi.com/open/v1/research/experiments/a79dfc93b7e64a6cbbe26f2a787a6bad/strategies/FTS_1D_0UCFSYXF/performance-report" \
  -H "Authorization: Bearer sk_xxx"

GET /research/experiments/{id}/strategies/{code}/performance-report — 候选策略绩效报告。

需在请求头携带 Authorization: Bearer sk_xxx。

请求参数​

参数位置类型必填默认值说明
idpathstring是-策略探索实验编号
codepathstring是-候选策略编号

响应 data​

字段类型必填说明
compare_metricsobject是—
curvesobject是—
datesstring[]是—
drawdownsobject[]是—
experiment_idstring是当前策略毕业时对应的策略探索实验。
metricsobject是—
normalized_20object是—
sourcestring是固定为 backtest_snapshot,供调用方明确展示数据口径。
symbol_returnsobject[]是—
verdictobject是—

调用示例​

curl -X GET "https://api.shengkezhi.com/open/v1/research/experiments/a79dfc93b7e64a6cbbe26f2a787a6bad/strategies/FTS_1D_0UCFSYXF/performance-report" \
-H "Authorization: Bearer sk_xxx"
{
"code": 0,
"msg": "ok",
"data": {
"source": "backtest_snapshot",
"experiment_id": "a79dfc93b7e64a6cbbe26f2a787a6bad",
"metrics": {
"下行波动率": 0.0214,
"交易次数": 333536,
"交易胜率": 0.565,
"单笔收益": 22.27,
"单笔盈亏比": 0.991,
"卡玛比率": 1.5642,
"周胜率": 0.5795,
"品种数量": 20,
"夏普比率": 1.5999,
"多头占比": 0.4887,
"季胜率": 0.7188,
"年化交易次数": 43302.97,
"年化收益": 0.0512,
"年化波动率": 0.032,
"年胜率": 0.75,
"开始日期": "2017-01-04",
"持仓K线数": 4.32,
"新高占比": 0.1283,
"新高间隔": 497.0,
"日胜率": 0.5513,
"最大回撤": 0.0327,
"月胜率": 0.6667,
"空头占比": 0.4957,
"结束日期": "2024-12-31",
"绝对收益": 0.3942
},
"compare_metrics": {
"基准": {
"下行波动率": 0.0849,
"卡玛": 0.2697,
"回归年度回报率": 0.0818,
"回撤风险": 1.7307,
"夏普": 0.4669,
"年化": 0.0577,
"年化波动率": 0.1236,
"开始日期": "2017-01-04",
"新高占比": 0.0417,
"新高间隔": 631.0,
"日盈亏比": 0.986,
"日胜率": 0.5234,
"日赢面": 0.0395,
"最大回撤": 0.2139,
"盈亏平衡点": 0.9918,
"结束日期": "2024-12-31",
"绝对收益": 0.4444,
"长度调整平均最大回撤": 0.604,
"非零覆盖": 1.0
},
"多头": {
"下行波动率": 0.0188,
"交易次数": 168761,
"交易胜率": 0.5753,
"单笔收益": 28.55,
"单笔盈亏比": 1.0347,
"卡玛比率": 0.8986,
"周胜率": 0.5941,
"品种数量": 20,
"夏普比率": 1.3105,
"多头占比": 0.4887,
"季胜率": 0.6563,
"年化交易次数": 21910.24,
"年化收益": 0.0332,
"年化波动率": 0.0253,
"年胜率": 0.875,
"持仓K线数": 4.23,
"新高占比": 0.1082,
"新高间隔": 625.0,
"日胜率": 0.5492,
"最大回撤": 0.0369,
"月胜率": 0.6563,
"空头占比": 0.0,
"绝对收益": 0.2554
},
"多空": {
"下行波动率": 0.0214,
"交易次数": 333536,
"交易胜率": 0.565,
"单笔收益": 22.27,
"单笔盈亏比": 0.991,
"卡玛比率": 1.5642,
"周胜率": 0.5795,
"品种数量": 20,
"夏普比率": 1.5999,
"多头占比": 0.4887,
"季胜率": 0.7188,
"年化交易次数": 43302.97,
"年化收益": 0.0512,
"年化波动率": 0.032,
"年胜率": 0.75,
"开始日期": "2017-01-04",
"持仓K线数": 4.32,
"新高占比": 0.1283,
"新高间隔": 497.0,
"日胜率": 0.5513,
"最大回撤": 0.0327,
"月胜率": 0.6667,
"空头占比": 0.4957,
"结束日期": "2024-12-31",
"绝对收益": 0.3942
},
"空头": {
"下行波动率": 0.0188,
"交易次数": 164775,
"交易胜率": 0.5545,
"单笔收益": 15.84,
"单笔盈亏比": 0.9547,
"卡玛比率": 0.4408,
"周胜率": 0.511,
"品种数量": 20,
"夏普比率": 0.6471,
"多头占比": 0.0,
"季胜率": 0.5938,
"年化交易次数": 21392.74,
"年化收益": 0.018,
"年化波动率": 0.0278,
"年胜率": 0.875,
"持仓K线数": 4.41,
"新高占比": 0.035,
"新高间隔": 660.0,
"日胜率": 0.5173,
"最大回撤": 0.0408,
"月胜率": 0.5417,
"空头占比": 0.4957,
"绝对收益": 0.1388
},
"超额": {
"下行波动率": 0.0831,
"卡玛": -0.0133,
"回归年度回报率": -0.0179,
"回撤风险": 3.7897,
"夏普": -0.0506,
"年化": -0.0065,
"年化波动率": 0.129,
"开始日期": "2017-01-04",
"新高占比": 0.0118,
"新高间隔": 1153.0,
"日盈亏比": 1.0686,
"日胜率": 0.4812,
"日赢面": -0.0046,
"最大回撤": 0.4889,
"盈亏平衡点": 1.0,
"结束日期": "2024-12-31",
"绝对收益": -0.0502,
"长度调整平均最大回撤": 0.5627,
"非零覆盖": 1.0
}
},
"dates": [
"2017-01-04T00:00:00",
"2017-01-05T00:00:00",
"2017-01-06T00:00:00"
],
"curves": {
"基准": {
"cum": [
0.008241854832648884,
0.005744522946436886
],
"daily": [
0.008241854832648884,
-0.002497331886211998
],
"drawdown": [
0.0,
-0.002497331886211998
]
},
"多头": {
"cum": [
0.0,
0.0
],
"daily": [
0.0,
0.0
],
"drawdown": [
0.0,
0.0
]
},
"多空": {
"cum": [
0.0,
0.0
],
"daily": [
0.0,
0.0
],
"drawdown": [
0.0,
0.0
]
},
"空头": {
"cum": [
0.0,
0.0
],
"daily": [
0.0,
0.0
],
"drawdown": [
0.0,
0.0
]
},
"超额": {
"cum": [
-0.008241854832648884,
-0.005744522946436886
],
"daily": [
-0.008241854832648884,
0.002497331886211998
],
"drawdown": [
0.0,
0.0
]
}
},
"normalized_20": {
"基准": {
"cum": [
0.013335476332808698,
0.00929474631026289
],
"daily": [
0.013335476332808698,
-0.004040730022545808
],
"drawdown": [
0.0,
-0.004040730022545808
]
},
"多头": {
"cum": [
0.0,
0.0
],
"daily": [
0.0,
0.0
],
"drawdown": [
0.0,
0.0
]
},
"多空": {
"cum": [
0.0,
0.0
],
"daily": [
0.0,
0.0
],
"drawdown": [
0.0,
0.0
]
},
"空头": {
"cum": [
0.0,
0.0
],
"daily": [
0.0,
0.0
],
"drawdown": [
0.0,
0.0
]
},
"超额": {
"cum": [
-0.013335476332808698,
-0.00929474631026289
],
"daily": [
-0.013335476332808698,
0.004040730022545808
],
"drawdown": [
-0.013335476332808698,
-0.00929474631026289
]
}
},
"drawdowns": [
{
"净值回撤": -0.03273194384421596,
"回撤修复": null,
"回撤天数": 542,
"回撤开始": "2022-12-13",
"回撤结束": "2024-06-07",
"恢复天数": null,
"新高间隔": null
},
{
"净值回撤": -0.032539381606973006,
"回撤修复": "2022-07-15",
"回撤天数": 40,
"回撤开始": "2022-02-10",
"回撤结束": "2022-03-22",
"恢复天数": 115.0,
"新高间隔": 155.0
},
{
"净值回撤": -0.01772564179501382,
"回撤修复": "2021-02-18",
"回撤天数": 38,
"回撤开始": "2020-12-11",
"回撤结束": "2021-01-18",
"恢复天数": 31.0,
"新高间隔": 69.0
}
],
"symbol_returns": [
{
"return": 1.0204647982624067,
"symbol": "MA999.ZCE"
},
{
"return": 0.9258319887208375,
"symbol": "TA999.ZCE"
},
{
"return": 0.7686004957855506,
"symbol": "PP999.DCE"
}
],
"verdict": {
"history": {
"alpha_degenerate": false,
"complete_year_count": 8,
"cond_history_dd_passed": true,
"cond_history_sharpe_passed": true,
"cond_yearly_passed": true,
"history_alpha_max_drawdown": 0.24808602243789313,
"history_alpha_sharpe": 1.1962296317575214,
"is_good": true,
"mode": "history",
"reason": "",
"yearly_metrics": [
{
"abs_return": 0.04927480026285662,
"alpha_max_drawdown": 0.10495726818799696,
"alpha_return": 0.19436459813906945,
"days": 243,
"is_complete_year": true,
"year": 2017,
"year_passed": true
},
{
"abs_return": 0.04064282549552944,
"alpha_max_drawdown": 0.04911152318362276,
"alpha_return": 0.24717638960922092,
"days": 243,
"is_complete_year": true,
"year": 2018,
"year_passed": true
}
]
},
"recent": {
"history_alpha_max_drawdown_excl_recent": 0.19804830776814064,
"is_good": true,
"mode": "recent",
"params": {
"max_alpha_dd_threshold": 0.3,
"max_dd_threshold": 0.2,
"min_full_sharpe": 0.5,
"min_history_days": 60,
"min_year_days": 200,
"recent_days": 252,
"target_vol": 0.2,
"yearly_days": 252.0
},
"recent_abs_return": -0.026260463736636597,
"recent_alpha_max_drawdown": 0.0967552356096898,
"recent_alpha_return": 0.0054465005799591015
}
}
}
}```